## org.mariadb.jdbc.internal.com.send
Class SendNativePasswordAuthPacket

    java.lang.Object
      org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket
          org.mariadb.jdbc.internal.com.send.SendNativePasswordAuthPacket

All Implemented Interfaces:
  InterfaceAuthSwitchSendResponsePacket, InterfaceSendPacket

    public class SendNativePasswordAuthPacket

extends AbstractAuthSwitchSendResponsePacket
implements InterfaceAuthSwitchSendResponsePacket

Field Summary

Fields inherited from class org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket
`authData, packSeq, password, passwordCharacterEncoding`

Constructor Summary
`SendNativePasswordAuthPacket(String password, byte[] authData, int packSeq, String passwordCharacterEncoding)`

Method Summary
`void` `send(PacketOutputStream pos)` Send native password stream.

Methods inherited from class org.mariadb.jdbc.internal.com.send.AbstractAuthSwitchSendResponsePacket
`handleResultPacket`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mariadb.jdbc.internal.com.send.InterfaceAuthSwitchSendResponsePacket
`handleResultPacket`

Constructor Detail

### SendNativePasswordAuthPacket

    public SendNativePasswordAuthPacket(String password,
                                        byte[] authData,
                                        int packSeq,
                                        String passwordCharacterEncoding)

Method Detail

### send

    public void send(PacketOutputStream pos)
              throws IOException

  Send native password stream.

  Specified by:
    `send` in interface `InterfaceSendPacket`
  Parameters:
    `pos` - database socket
  Throws:
    `IOException` - if a connection error occur

Copyright © 2017. All rights reserved.